# image_sorting

A collection of simple helpers to make sorting of large amounts of images easier.


## Disclaimer

Be careful! Some of the scripts in here do changes that are irrevertible. Make sure to keep a backup unless you know EXACTLY what you're doing (and what the script you're using does!).


## Scripts

- `mtime2exifcreatedate.sh`: iterates over all files in a directory (every!) and (over-)writes the EXIF `CreateDate` tag to the modification time of the file
- `modify_mtime.py`: changes the modify date (mtime) of all files of the cwd by a given amount of time
- `filename2mtime.py`: extract a date and time from the name of all files in a directory and set their respective UNIX mtime (the modified timestamp).
- `set_mtime.py`: sets the modify date (mtime) of a selected file


## LICENSE

This accumulation of helper scripts is licensed under the [GNU General Public License 3](LICENSE.txt).

